import java.util.ArrayList;
import java.util.*;
import java.io.*;

public class FileProdottoDAO 
implements ProdottoDAO {


	/**
	 * C
	 */
	public int createProdotto(ProdottoDTO t) {

		int result = 0; // tutto OK
                try {
			FileWriter out = new FileWriter("DataBaze.txt", true); // append
			out.write(t.getId()+" "+t.getNome()+" "+t.getMarca()+" "+t.getPrezzo()+"\n");
                	out.close();
                 } catch (IOException e){
                    result =-1;
		 }

		return result;
	}

	// -------------------------------------------------------------------------------------

	/**
	 * R
	 */
	public ProdottoDTO readProdotto(int id) {

		ProdottoDTO result = null;

		return result;
	}

	// -------------------------------------------------------------------------------------

	/**
	 * U
	 */
	public boolean updateProdotto(ProdottoDTO t) {
	 		return true;
	}

	// -------------------------------------------------------------------------------------

	/**
	 * D
	 */
	public boolean deleteProdotto(ProdottoDTO t) {
 		return true;
	}

	// -------------------------------------------------------------------------------------

	/**
	 * Find by id
	 */
	public ProdottoDTO findProdotto(String id) {
            try{
		ProdottoDTO result = null;
                String app;
		FileReader f1 = new FileReader("DataBaze.txt");
		BufferedReader b1= new BufferedReader(f1);

		app=b1.readLine();
		
		while (app!=null){
                  result = risultato(id,app);
                  if (result != null) return result; 
		  app=b1.readLine();
		}

                }catch (IOException e){
                    return null;
		 }
   
		return null;
	}

	private ProdottoDTO risultato(String id, String linea) {
		ProdottoDTO result=null;
		StringTokenizer tokens;
		String loc;
		tokens = new StringTokenizer(linea, ", \t\n\r\f");
		loc = (tokens.nextToken()).trim();
		if (!loc.equals(id)) return null; // altrimenti abbiamo trovato prodotto
		result = new ProdottoDTO();
		result.setId(loc); // setta ID
		result.setNome((tokens.nextToken()).trim());
		result.setMarca((tokens.nextToken()).trim());
		result.setPrezzo((tokens.nextToken()).trim());

		return result;
	}

	// -------------------------------------------------------------------------------------

	public Collection<ProdottoDTO> getProdotti() {
 	    Collection<ProdottoDTO> result = new ArrayList<ProdottoDTO>();
 		return result;
	}

	// -------------------------------------------------------------------------------------
	// -------------------------------------------------------------------------------------

	/**
	 * Creazione della table
	 */
	public boolean createTable() {

		return true;
	}

	// -------------------------------------------------------------------------------------

	/**
	 * Rimozione della table
	 */
	public boolean dropTable() {

		return true;
	}

}
