import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/** Example using servlet initialization. Here, the message
 *  to print and the number of times the message should be
 *  repeated is taken from the init parameters.
 */

public class ServletRicerca extends HttpServlet {
  
  public void init(ServletConfig config)
      throws ServletException {
    // Always call super.init
    super.init(config);
  }

    public void doGet(HttpServletRequest request,
                    HttpServletResponse response)
        throws ServletException, IOException {
      
      String prodotto;
      response.setContentType("text/html");
      PrintWriter out = response.getWriter();
      String title = "Ricerca Prodotto";
      out.println("<HTML><HEAD><TITLE>"+title+"</TITLE></HEAD>"+
                  "<BODY BGCOLOR=\"#FDF5E6\">\n" +
                  "<H1 ALIGN=CENTER>" + title + "</H1>");
 	  
      prodotto=request.getParameter("id_prod");
 	  
      ProdottoDAO prodottoDAO = 
    		DAOFactory
    			.getDAOFactory(
    				Integer.parseInt(
    					super.getServletContext().getInitParameter("daoFactory")
    				)
    			).getProdottoDAO();
    	
    	 
       ProdottoDTO prodottoDTOdaCercare = prodottoDAO.findProdotto(prodotto);
       
       out.println("<table><tr><td>ID Prodotto</td><td>"+prodottoDTOdaCercare.getId()+"</td></tr><tr><td>Nome Prodotto</td><td>"+prodottoDTOdaCercare.getNome()+"</td></tr><tr><td>Marca</td><td>"+prodottoDTOdaCercare.getMarca()+"</td></tr><tr><td>Prezzo</td><td>"+prodottoDTOdaCercare.getPrezzo()+"</td></tr></table>");

       out.println("</BODY></HTML>");
    }
}
