 

/**
 * Actual datatype representation for use by classes involved
 * in the webapp business logic
 * @author pisi79
 */
public class ProdottoDTO {

	// --- Fields of the datatype -------------------------------------

	private String id;
	private String nome;
	private String marca;
	private String prezzo;
 	
	// --- Getters and setters -----------------------------------
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}

	public String getMarca() {
		return marca;
	}
	public void setMarca(String marca) {
		this.marca = marca;
	}

	public String getPrezzo() {
		return prezzo;
	}
	public void setPrezzo(String prezzo) {
		this.prezzo = prezzo;
	}

	
	// --- Optional overriding of facility methods (toString, compare, hashcode, ...) ---
	
 
	public String toString() {
		return 
			"prodotto["+
				"id="+id+", "+
				"nome="+nome+", "+
				"marca="+marca+", "+
				"prezzo="+prezzo+"]";
	}

 	public boolean equals(Object o) {
		if ( ! ( o instanceof ProdottoDTO ) )
			return false;
		ProdottoDTO u = (ProdottoDTO)o;
		if ( ! (this.getId()).equals(u.getId())) return false;  // se il codice è = allora è lo stesso prodotto
		return true; 
	}
}
